### Method

# Fwupd Client set_blocked_firmware

#### Declaration [src]

    gboolean
    fwupd_client_set_blocked_firmware (
      FwupdClient* self,
      gchar** checksums,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets the list of approved firmware.

Available since: | 1.4.6

#### Parameters

`checksums` | `gchar**`
| Array of checksums.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.